LFR-FSW - Bug #2134

Emission d'une raie a 96Hz par LFR
11/10/2017 11:09 AM - Alexis Jeandet

Status: Stalled Start date: 11/10/2017
Priority: Low Due date:

Assignee: Alexis Jeandet % Done: 0%
Category: R4 Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Pendant les tests EMC, il a été mesuré une raie a 96Hz émise par LFR.
Aprés quelques investigations, ¢a s'explique par le fait que la consomation du FPGA entre le moment ou le CPU est en
POWERDOWN et le moment ou il travaille est assez différente. De plus 96Hz correspond a la fréquence des interruptions pour les

ASM a Fo.

Une premiére tentative de mitigation en ajoutant une tache qui consomme du CPU en background a permis de baisser les niveaux

d'émission mais c'est pas encore suffisant.

Il faut essayer de monter encore un peu la conso dans cette tache idle en utilisant la FPU par exemple.

e Commit actuel
¢ Analyse de l'effet du powerdown

History

#1 - 13/12/2018 02:56 PM - bruno katra
- Status changed from New to In Progress

- Priority changed from High to Low

#2 - 17/12/2018 01:57 PM - bruno katra

Comportement décrit dans SUM >=1.5

#3 - 22/03/2021 11:41 AM - Alexis Jeandet

- Status changed from In Progress to Stalled

10/04/2024

1/1



https://hephaistos.lpp.polytechnique.fr/rhodecode/HG_REPOSITORIES/LPP/INSTRUMENTATION/USERS/JEANDET/LFR_FSW/changeset/fc82b08705ba9931880e4e57a76b1bb1ffa1e28e
https://hephaistos.lpp.polytechnique.fr/rhodecode/HG_REPOSITORIES/LPP/INSTRUMENTATION/USERS/JEANDET/SOLO_LFR_Notebooks/files/ea8683773e3816b28b499a7520bdfde53353a82a/LFR_CPU_POWERDOWN_EFFECT/LFR_CPU_POWERDOWN_EFFECT.ipynb
